package de.ozgcloud.operator.common.kubernetes;

import org.springframework.stereotype.Component;

import io.fabric8.kubernetes.api.model.Secret;
import io.fabric8.kubernetes.client.KubernetesClient;
import io.fabric8.kubernetes.client.dsl.Resource;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
@Component
public class KubernetesRemoteService {

	private final KubernetesClient client;

	public Resource<Secret> getSecretResource(String namespace, String name) {
		return client.secrets().inNamespace(namespace).withName(name);
	}
}