package de.ozgcloud.operator;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.operator.PutRoleRequestData.IndicesPrivilegesData;

public class IndicesPrivilegesDataTestFactory {

	public static final String NAME = LoremIpsum.getInstance().getFirstName();
	public static final String PRIVILEGES = IndicesPrivilege.ALL.getValue();
	
	public static IndicesPrivilegesData  create() {
		return createBuilder().build();
	}
	
	public static IndicesPrivilegesData.IndicesPrivilegesDataBuilder createBuilder(){
		return IndicesPrivilegesData.builder()
				.names(NAME)
				.privileges(PRIVILEGES);
	}
}
